Summary: GUI development toolkit
Name: fox
Version: 1.6.38
Release: 1%{?dist}
License: LGPLv2+ with exceptions
Group: System Environment/Libraries
Url: http://www.fox-toolkit.org
Source: ftp://ftp.fox-toolkit.org/pub/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libtool, automake, autoconf, zlib-devel, bzip2-devel
BuildRequires: libpng-devel, libjpeg-devel, libtiff-devel
BuildRequires: xorg-x11-proto-devel, mesa-libGLU-devel
BuildRequires: mesa-libGL-devel, libXext-devel, libXft-devel
BuildRequires: chrpath

%description
FOX is a C++-based library for graphical user interface development
FOX supports modern GUI features, such as drag-and-drop, tooltips, tab
books, tree lists, icons, multiple document interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics. Sub classing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package devel
Summary: Development files and documentation for the FOX GUI toolkit
Group: Development/Libraries

%description devel
The fox-devel package contains the files necessary to develop applications
using the FOX GUI toolkit: the header files, the reswrap resource compiler,
and manual pages.

%package doc
Summary: Documentation FOX library

%description doc
Documentation files for FOX GUI library.

%package -n adie
Summary: Adie Programmer's Text Editor
Group: Applications/Editors
Version: 3.0.0

%description -n adie
Adie is an extremely fast and convenient programming text editor written using the FOX Toolkit.

%package -n calculator
Summary: FOX-based Calculator Applet
Group: Applications/Productivity
Version: 2.0.0

%description -n calculator
The FOX calculator is a simple desktop calculator geared towards the programmer.
It supports not only a full complement of scientific functions, but also common
operations that programmers need, such as bitwise operations, bitwise shifting,
and base-2 logarithm and exponents, and numeric conversion between hexadecimal,
octal, binary, and decimal.
The FOX Calculator implements correct operator precedences, so expressions like
2+3*5 yield the correct result, which is 17, and not 25.
Also featured is a constant memory, which permanently stores its value even if
you exit the calculator and restart it later.

%package -n pathfinder
Summary: PathFinder File Browser
Group: Applications/File
Version: 1.0.0
Requires: fox

%description -n pathfinder
PathFinder is a file browser application written using the FOX Toolkit.

%package -n shutterbug
Summary: Shutterbug Screenshot Utility
Group: Applications/Productivity
Version: 2.0.0

%description -n shutterbug
Shutterbug is a FOX-based screenshot utility.

%prep
%setup -q
autoreconf -fi

%build
%configure --with-gnu-ld --disable-static --with-x --with-profiling --with-xft --with-opengl --with-xcursor --enable-release
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install 

# rpath removals
#chrpath --delete %{buildroot}%{_bindir}/adie
#chrpath --delete %{buildroot}%{_bindir}/calculator
#chrpath --delete %{buildroot}%{_bindir}/PathFinder
#chrpath --delete %{buildroot}%{_bindir}/shutterbug

%post
/sbin/ldconfig 2>/dev/null

%postun
/sbin/ldconfig 2>/dev/null

%files
%defattr(-,root,root)
%{_libdir}/libFOX-1.6.so
%{_libdir}/libFOX-1.6.so.0
%{_libdir}/libFOX-1.6.so.0.0.38
%{_libdir}/libCHART-1.6.so
%{_libdir}/libCHART-1.6.so.0
%{_libdir}/libCHART-1.6.so.0.0.38
%doc ADDITIONS AUTHORS LICENSE LICENSE_ADDENDUM README TRACING index.html

%files devel
%defattr(-,root,root)
%{_bindir}/reswrap
%{_bindir}/fox-config
%{_mandir}/man1/reswrap.1.gz
%{_includedir}/fox-1.6
%{_libdir}/libFOX-1.6.la
%{_libdir}/libCHART-1.6.la
%{_libdir}/pkgconfig/fox.pc

%files doc
%defattr(-,root,root)
%{_docdir}/fox-1.6/*

%files -n adie
%defattr(-,root,root)
%{_bindir}/adie
%{_bindir}/Adie.stx
%{_mandir}/man1/adie.1*

%files -n calculator
%defattr(-,root,root)
%{_bindir}/calculator
%{_mandir}/man1/calculator.1*

%files -n pathfinder
%defattr(-,root,root)
%{_bindir}/PathFinder
%{_mandir}/man1/PathFinder.1*

%files -n shutterbug
%defattr(-,root,root)
%{_bindir}/shutterbug
%{_mandir}/man1/shutterbug.1*

%clean
rm -rf %{buildroot}

%changelog
* Sun Sep 12 2010 Guillermo Gomez <gomix@fedoraproject.org> - 1.6.38-1
- Initial version for Fedora
